PostgreSQL 8.4.10 Documentation
Prev | Fast Backward |  | Fast Forward | Next

# dblink_error_message

## Name

dblink_error_message -- gets last error message on the named connection

## Synopsis

        dblink_error_message(text connname) returns text

## Description

`dblink_error_message` fetches the most recent remote error message for a given connection.

## Arguments

`conname`

  Name of the connection to use.

## Return Value

Returns last error message, or an empty string if there has been no error in this connection.

## Example

        SELECT dblink_error_message('dtest1');

Prev | Home | Next
dblink_get_connections | Up | dblink_send_query